/* @override 
	https://dehn-instatec.bw-testserver.de/typo3conf/ext/dehn_instatec/Resources/Public/Css/we_cookie_consent.css?* */

:root {
	--font-cookie-h: normal var(--fontweight-regular) 25px/var(--lineheight-h) var(--font-standard);
	--font-cookie-p: normal var(--fontweight-regular) 14px/var(--lineheight-p) var(--font-standard);
	--font-cookie-btn: normal var(--fontweight-regular) 14px/var(--lineheight-shortcut) var(--font-standard);
	--font-cookie-name: normal var(--fontweight-regular) 17px/var(--lineheight-h) var(--font-standard);
	--font-cookie-description: normal var(--fontweight-regular) 12px/var(--lineheight-p) var(--font-standard);
	--font-cookie-purpose: italic var(--fontweight-regular) 12px/var(--lineheight-p) var(--font-standard);
	--color-cookie-layerbg: rgba(227, 0, 10, .96);
	--color-cookie-bg: rgba(255, 255, 255, 1);
	--color-cookie-p: rgba(0, 0, 0, 1);
	--color-cookie-link: var(--color-dehnred);
	--color-cookie-hover: var(--color-cookie-p);
	--color-cookie-successbtn-hover: var(--color-cookie-bg);
	--color-cookie-declinebtn-hover: var(--color-cookie-link);
	--color-cookie-description: rgba(120, 120, 120, 1);
}

/* @group Cookie-Box */

div#klaro div.klaro.we_cookie_consent div.cookie-notice {
	position: fixed;
	left: 0;
	right: 0;
	top: 0;
	bottom: 0;
	z-index: 1000000;
	max-width: 100%;
	height: 100vh;
	background: var(--color-cookie-layerbg);
	display: flex;
	align-items: center;
	justify-content: center;
}

div#klaro div.klaro.we_cookie_consent div.cookie-notice div.cn-body {
	max-width: 480px;
	padding: 20px;
	background-color: var(--color-cookie-bg);
}

div#klaro div.klaro.we_cookie_consent div.cookie-notice div.cn-body p {
	color: var(--color-cookie-p);
	font: var(--font-cookie-p);
	margin: 0 0 20px;
	letter-spacing: var(--letterspacing-O);
}

div#klaro div.klaro.we_cookie_consent div.cookie-notice div.cn-body p span span a {
	color: var(--color-cookie-link);
}

div#klaro div.klaro.we_cookie_consent div.cookie-notice div.cn-body p span span a:hover {
	color: var(--color-cookie-hover);
}

div#klaro div.klaro.we_cookie_consent div.cookie-notice div.cn-body div.cn-ok {
	display: grid;
	grid-template-columns: 1fr;
	grid-gap: 0;
	grid-template-rows: repeat(3, auto);
}

div#klaro div.klaro.we_cookie_consent div.cookie-notice div.cn-body div.cn-ok a.cm-link.cn-learn-more {
	grid-column: 1 / 2;
	grid-row: 2;
	border: none;
	border-radius: 0px;
	box-shadow: none;
	background: none;
	border: 1px solid var(--color-cookie-link);
	color: var(--color-cookie-link);
	padding: 8px;
	margin: 0;
	-webkit-transition:
		all 0.3s ease;	
	-moz-transition:
		all 0.3s ease;	
	-ms-transition:	
		all 0.3s ease;	
	-o-transition:
		all 0.3s ease;	
	transition:
		all 0.3s ease;
	text-align: center;
	font: var(--font-cookie-btn);
}

div#klaro div.klaro.we_cookie_consent div.cookie-notice div.cn-body div.cn-ok a.cm-link.cn-learn-more:hover {
	border: 1px solid var(--color-cookie-p);
	color: var(--color-cookie-p);
}

div#klaro div.klaro.we_cookie_consent div.cookie-notice div.cn-body div.cn-ok div.cn-buttons {
	display: grid;
	grid-template-columns: 1fr;
	grid-gap: 0;
	grid-template-rows: repeat(2, auto);
	grid-gap: 10px;
	margin-bottom: 10px;
}

div#klaro div.klaro.we_cookie_consent div.cookie-notice div.cn-body div.cn-ok div.cn-buttons button.cm-btn.cm-btn-danger.cn-decline {
	grid-column: 1 / 2;
	grid-row: 2;
	border: none;
	border-radius: 0px;
	box-shadow: none;
	border: 1px solid var(--color-cookie-link);
	background: transparent;
	padding: 8px;
	margin: 0;
	-webkit-transition:
		all 0.3s ease;	
	-moz-transition:
		all 0.3s ease;	
	-ms-transition:	
		all 0.3s ease;	
	-o-transition:
		all 0.3s ease;	
	transition:
		all 0.3s ease;
	color: var(--color-cookie-link);
	font: var(--font-cookie-btn);
	width: 100%;
}

div#klaro div.klaro.we_cookie_consent div.cookie-notice div.cn-body div.cn-ok div.cn-buttons button.cm-btn.cm-btn-success {
	border: none;
	border-radius: 0px;
	box-shadow: none;
	border: 1px solid var(--color-cookie-link);
	background: transparent;
	margin: 0;
	-webkit-transition:
		all 0.3s ease;	
	-moz-transition:
		all 0.3s ease;	
	-ms-transition:	
		all 0.3s ease;	
	-o-transition:
		all 0.3s ease;	
	transition:
		all 0.3s ease;
	color: var(--color-cookie-link);
	font: var(--font-cookie-btn);
	padding: 8px;
	width: 100%;
}

div#klaro div.klaro.we_cookie_consent div.cookie-notice div.cn-body div.cn-ok div.cn-buttons button.cm-btn.cm-btn-success::before {
	content: '✓';
	font-size: 20px;
	padding-right: 10px;
	color: var(--color-cookie-link);
	-webkit-transition:
		all 0.3s ease;	
	-moz-transition:
		all 0.3s ease;	
	-ms-transition:	
		all 0.3s ease;	
	-o-transition:
		all 0.3s ease;	
	transition:
		all 0.3s ease;	
}

div#klaro div.klaro.we_cookie_consent div.cookie-notice div.cn-body div.cn-ok div.cn-buttons button.cm-btn.cm-btn-danger.cn-decline:hover {
	border: 1px solid var(--color-cookie-p);
	color: var(--color-cookie-p);
}

div#klaro div.klaro.we_cookie_consent div.cookie-notice div.cn-body div.cn-ok div.cn-buttons button.cm-btn.cm-btn-success:hover::before {
	color: var(--color-cookie-successbtn-hover);
}

div#klaro div.klaro.we_cookie_consent div.cookie-notice div.cn-body div.cn-ok div.cn-buttons button.cm-btn.cm-btn-danger.cn-decline::before {
	content: 'X';
	padding-right: 10px;
}

div#klaro div.klaro.we_cookie_consent div.cookie-notice div.cn-body div.cn-ok div.cn-buttons button.cm-btn.cm-btn-success:hover {
	border: 1px solid var(--color-cookie-link);
	background: var(--color-cookie-link);
	color: var(--color-cookie-successbtn-hover);
}

/* @end */

/* @group Cookie-Edit */

div#klaro div.klaro.we_cookie_consent div.cookie-modal {
	z-index: 100000;
}

div#klaro div.klaro.we_cookie_consent div.cookie-modal div.cm-modal.cm-klaro {
	max-width: 480px;
	background-color: var(--color-cookie-bg);
	box-shadow: none;
	border-radius: 0;
}

div#klaro div.klaro.we_cookie_consent div.cookie-modal div.cm-bg {
	background: var(--color-cookie-layerbg);
}

div#klaro div.klaro.we_cookie_consent div.cookie-modal div.cm-modal.cm-klaro div.cm-header h1.title,
div#klaro div.klaro.we_cookie_consent div.cookie-modal div.cm-modal.cm-klaro div.cm-body span.cm-list-title {
	font: var(--font-cookie-h);
	color: var(--color-cookie-p);
}

div#klaro div.klaro.we_cookie_consent div.cookie-modal div.cm-modal.cm-klaro div.cm-header p {
	font: var(--font-cookie-p);
	color: var(--color-cookie-p);
	-webkit-hyphens: none;
	-moz-hyphens: none;
	-ms-hyphens: none;
	-o-hyphens: none;
	hyphens: none;
	letter-spacing: var(--letterspacing-O);
}

div#klaro div.klaro.we_cookie_consent div.cookie-modal div.cm-modal.cm-klaro div.cm-header p span a {
	color: var(--color-cookie-link);
}

div#klaro div.klaro.we_cookie_consent div.cookie-modal div.cm-modal.cm-klaro div.cm-header p span a:hover {
	color: var(--color-cookie-p);
}

div#klaro div.klaro.we_cookie_consent div.cookie-modal div.cm-modal.cm-klaro div.cm-header,
div#klaro div.klaro.we_cookie_consent div.cookie-modal div.cm-modal.cm-klaro div.cm-body,
div#klaro div.klaro.we_cookie_consent div.cookie-modal div.cm-modal.cm-klaro div.cm-footer {
	border: none;
	padding: 20px;
}

div#klaro div.klaro.we_cookie_consent div.cookie-modal div.cm-modal.cm-klaro div.cm-header {
	padding-right: 60px;
	padding-bottom: 0;
}

div#klaro div.klaro.we_cookie_consent div.cookie-modal div.cm-modal.cm-klaro div.cm-body {
	padding-bottom: 0;
}

div#klaro div.klaro.we_cookie_consent div.cookie-modal div.cm-modal.cm-klaro div.cm-body ul.cm-services li.cm-service div label.cm-list-label span.cm-list-title {
	color: var(--color-cookie-p);
	font: var(--font-cookie-name);
	margin-top: 5px;
}

div#klaro div.klaro.we_cookie_consent div.cookie-modal div.cm-modal.cm-klaro div.cm-body ul.cm-services li.cm-service  p.cm-list-description span span,
div#service-item-google-tagmanager-1-description p.cm-list-description p {
	font: var(--font-cookie-description);
	color: var(--color-cookie-description);
}

div#klaro div.klaro.we_cookie_consent div.cookie-modal div.cm-modal.cm-klaro div.cm-body ul.cm-services li.cm-service  p.purposes {
	font: var(--font-cookie-purpose);
	color: var(--color-cookie-description);
	margin-top: 5px;
}

div#klaro div.klaro.we_cookie_consent div.cookie-modal div.cm-modal.cm-klaro div.cm-footer div.cm-footer-buttons {
	display: grid;
	grid-template-columns: 1fr;
	grid-gap: 0;
	grid-template-rows: repeat(3, auto);
	grid-gap: 10px;
}

div#klaro div.klaro.we_cookie_consent div.cookie-modal div.cm-modal.cm-klaro div.cm-footer div.cm-footer-buttons button.cm-btn.cm-btn-success.cm-btn-accept-all {
	grid-column: 1 / 2;
	grid-row: 1;
	border: none;
	border-radius: 0px;
	box-shadow: none;
	border: 1px solid var(--color-cookie-link);
	background: transparent;
	padding: 8px;
	margin: 0;
	-webkit-transition:
		all 0.3s ease;	
	-moz-transition:
		all 0.3s ease;	
	-ms-transition:	
		all 0.3s ease;	
	-o-transition:
		all 0.3s ease;	
	transition:
		all 0.3s ease;
	color: var(--color-cookie-link);
	font: var(--font-cookie-btn);
}

div#klaro div.klaro.we_cookie_consent div.cookie-modal div.cm-modal.cm-klaro div.cm-footer div.cm-footer-buttons button.cm-btn.cm-btn-success.cm-btn-accept-all::before {
	content: '✓';
	font-size: 20px;
	padding-right: 10px;
	color: var(--color-cookie-link);
	-webkit-transition:
		all 0.3s ease;	
	-moz-transition:
		all 0.3s ease;	
	-ms-transition:	
		all 0.3s ease;	
	-o-transition:
		all 0.3s ease;	
	transition:
		all 0.3s ease;	
}

div#klaro div.klaro.we_cookie_consent div.cookie-modal div.cm-modal.cm-klaro div.cm-footer div.cm-footer-buttons button.cm-btn.cm-btn-success.cm-btn-accept-all:hover::before {
	color: var(--color-cookie-successbtn-hover);
}

div#klaro div.klaro.we_cookie_consent div.cookie-modal div.cm-modal.cm-klaro div.cm-footer div.cm-footer-buttons button.cm-btn.cm-btn-decline.cm-btn-danger.cn-decline {
	grid-column: 1 / 2;
	grid-row: 2;	
	border: none;
	border-radius: 0px;
	box-shadow: none;
	border: 1px solid var(--color-cookie-link);
	background: transparent;
	padding: 8px;
	margin: 0;
	-webkit-transition:
		all 0.3s ease;	
	-moz-transition:
		all 0.3s ease;	
	-ms-transition:	
		all 0.3s ease;	
	-o-transition:
		all 0.3s ease;	
	transition:
		all 0.3s ease;
	color: var(--color-cookie-link);
	font: var(--font-cookie-btn);
}

div#klaro div.klaro.we_cookie_consent div.cookie-modal div.cm-modal.cm-klaro div.cm-footer div.cm-footer-buttons button.cm-btn.cm-btn-decline.cm-btn-danger.cn-decline::before {
	content: 'X';
	padding-right: 10px;
}

div#klaro div.klaro.we_cookie_consent div.cookie-modal div.cm-modal.cm-klaro div.cm-footer div.cm-footer-buttons button.cm-btn.cm-btn-success.cm-btn-info.cm-btn-accept {
	grid-column: 1 / 2;
	grid-row: 3;	
	border: none;
	border-radius: 0px;
	box-shadow: none;
	border: 1px solid var(--color-cookie-link);
	background: transparent;
	padding: 8px;
	margin: 0;
	-webkit-transition:
		all 0.3s ease;	
	-moz-transition:
		all 0.3s ease;	
	-ms-transition:	
		all 0.3s ease;	
	-o-transition:
		all 0.3s ease;	
	transition:
		all 0.3s ease;
	color: var(--color-cookie-link);
	font: var(--font-cookie-btn);
}

div#klaro div.klaro.we_cookie_consent div.cookie-modal div.cm-modal.cm-klaro div.cm-footer div.cm-footer-buttons button.cm-btn.cm-btn-decline.cm-btn-danger.cn-decline:hover {
	background: none;
	border: 1px solid var(--color-cookie-p);
	color: var(--color-cookie-p);
}

div#klaro div.klaro.we_cookie_consent div.cookie-modal div.cm-modal.cm-klaro div.cm-footer div.cm-footer-buttons button.cm-btn.cm-btn-success.cm-btn-info.cm-btn-accept:hover {
	background: none;
	border: 1px solid var(--color-cookie-p);
	color: var(--color-cookie-p);
}

div#klaro div.klaro.we_cookie_consent div.cookie-modal div.cm-modal.cm-klaro div.cm-footer div.cm-footer-buttons button.cm-btn.cm-btn-success.cm-btn-accept-all:hover {
	border: 1px solid var(--color-cookie-link);
	background: var(--color-cookie-link);
	color: var(--color-cookie-successbtn-hover);
}

div#klaro div.klaro.we_cookie_consent div.cookie-modal div.cm-modal.cm-klaro div.cm-header button.hide {
	color: var(--color-cookie-p);
	padding: 0px;
	width: 20px;
	height: 20px;
	background-image: url(../Images/cookie-close.svg);
	background-repeat: no-repeat;
	background-size: 20px 20px;
	background-position: left top;
}

div#klaro div.klaro.we_cookie_consent div.cookie-modal div.cm-modal.cm-klaro div.cm-header button.hide:hover {
	color: var(--color-cookie-link);
}

div#klaro div.klaro.we_cookie_consent div.cookie-modal div.cm-modal.cm-klaro div.cm-header button.hide svg line {
	display: none;
}

div#service-item-other-7-description p.purposes,
div#klaro div.klaro.we_cookie_consent div.cookie-modal div.cm-modal.cm-klaro div.cm-footer p.cm-powered-by {
	display: none;
}

/* @end */

@media only screen and (max-width: 768px) {
	
div#klaro div.klaro.we_cookie_consent div.cookie-modal div.cm-modal.cm-klaro {
	margin-left: calc(50% - 240px);
}

}

@media only screen and (max-width: 480px) {
	
div#klaro div.klaro.we_cookie_consent div.cookie-modal div.cm-modal.cm-klaro {
	margin-left: 0;
	margin-right: 0;
}

}

